# Picker

![](/files/-M-VWBYGe1Tz0kP05P1-)

### ​🎨 Styles <a href="#styles" id="styles"></a>

* **Appearance**
  * **Background color:** select the background color using the [color picker](/apphive-documentacion/reference/estilos/color-picker.md).
  * **Text color**: select text color in the picker element using the [color picker](/apphive-documentacion/reference/estilos/color-picker.md).
* **Dimensions**
  * **Width:** set how wide the picker element is using.
  * **Height:** set how tall the picker element is using.
* **Margins**
  * **Padding:** you can specify how much space you want between the border and contents of the picker element.
  * **Margin**: you can specify how much space you want between the edges of the picker element with the screen or another elements.
* **Borders**
  * **Border width:** enter how wide you want the border outline of the picker element to be.
  * **Border radius:** enter how round you want the edges of the border for the picker element to be.
  * **Border color:** pick a color for the border of the picker element.
  * **Border style:** select if you want the border of the picker element to be a dotted, dashed or solid line.

### ​​⚙ Properties <a href="#properties" id="properties"></a>

* **Generic properties**
  * **Control name:** you can add a name to the picker element this could be the way to identify this element about another elements.
  * **Enable** [**skeleton loaders**](/apphive-documentacion/reference/estilos/skeleton-loader.md)**:** this tool provides an indication to the user that something is coming but not yet available on the picker element.
  * **Control is hidden:** hide the picker element from the screen.

{% hint style="info" %}
The [**skeleton loader**](/apphive-documentacion/reference/estilos/skeleton-loader.md) component provides a user with a visual indicator that content is coming/loading. This is better received than traditional full-screen loaders.
{% endhint %}

* **Specific Properties**
  * **Control placeholder**: text that will be displayed before picker input has been entered.
  * **Arrow enabled:** add a down direction arrow at the right of the picker element.
  * **Option value**: add the options to choice as a dropdown.
  * **Default value**: when the picker is shown it offers the first value to select.

### ​​👆 Events <a href="#events" id="events"></a>

* **On charge:** the on charge \*\*\*\*event detects when the value of a picker element changes.

### 📝 Writable Properties

* **Items**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/apphive-documentacion/reference/elementos-de-interfaz/formularios/picker.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
